مواد پر جائیں

Omnilottie · Image to Lottie

انٹیگریٹ کریں

ماڈل id omnilottie/image-to-lottie
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/omnilottie/image-to-lottie?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

یہ درخواست: ⁨$0.10⁩ 100 API کریڈٹس · ≈ ⁨₽10.76⁩ اس صفحے پر چلائیں

API کلید حاصل کریں
Open model دیگر #lotties

حوالہ تصویر کو متن کے پرامپٹ کی رہنمائی سے Lottie JSON فائل میں اینیمیٹ کرتا ہے

Open model · فائل

آپ کا پہلا نتیجہ یہاں آئے گا

ذیل میں درخواست بنائیں اور اپنی API کلید کے ساتھ چلائیں۔ آؤٹ پٹس ہمارے اسٹوریج میں کاپی ہو جاتے ہیں، ہمیشہ کے لیے یا مفت میں 7 دن تک محفوظ رہتے ہیں۔

درخواست بنائیں

کنٹرولز ماڈل اسکیما سے تیار ہوتے ہیں۔ آپ کے بدلنے کے ساتھ کوڈ اور قیمت اپ ڈیٹ ہوتے ہیں۔

•لازمی 88 / 2000

تصویر کو animate کرنے کا طریقہ بیان کرنے والا متن۔

•لازمی image_url
فائل ڈراپ کریں، یا

animation کے لیے حوالہ تصویر کا URL۔

ایڈوانسڈ max_tokens · temperature · top_p · top_k
ڈیفالٹ 4096

تخلیق کردہ Lottie ٹوکنز کی زیادہ سے زیادہ حد۔

ڈیفالٹ 0.9

تخلیق کے دوران sampling کے لیے temperature۔

ڈیفالٹ 0.25

nucleus sampling کے لیے probability cutoff۔

ڈیفالٹ 5

top-k sampling کی setting۔

POST /run/omnilottie/image-to-lottie?wait=20 قیمت → ⁨$0.10⁩
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/omnilottie/image-to-lottie?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

یہ درخواست چلائیں

آپ کی key اسی براؤزر میں رہتی ہے: یہ صرف Doitong API کو بھیجی جاتی ہے اور صرف اس صورت میں localStorage میں محفوظ ہوتی ہے جب آپ Remember منتخب کریں۔ API کلید حاصل کریں

Omnilottie · Image to Lottie کے بارے میں

یہ `image_url` کے ذریعے حوالہ تصویر اور مطلوبہ حرکت بیان کرنے والا 2,000 حروف تک کا `prompt` لیتا ہے، اور JSON فائل کے طور پر Lottie اینیمیشن بناتا ہے۔ آؤٹ پٹ کی لمبائی `max_tokens` (256 سے 8192) سے محدود ہوتی ہے، جبکہ سیمپلنگ کو `temperature`، `top_p` اور `top_k` سے ٹیون کیا جاتا ہے۔

پیرامیٹرز

معیاری نام یا مقامی نام میں سے صرف ایک بھیجیں، دونوں نہیں۔ معیاری نام

نامقسم ڈیفالٹمجاز تفصیل
promptلازمی
قسمstring
≤ 2,000 کریکٹرز
تصویر کو animate کرنے کا طریقہ بیان کرنے والا متن۔
image_urlلازمی image
قسمurl · image
animation کے لیے حوالہ تصویر کا URL۔
max_tokensاختیاری
قسمinteger
ڈیفالٹ4096
256 – 8,192
تخلیق کردہ Lottie ٹوکنز کی زیادہ سے زیادہ حد۔
temperatureاختیاری
قسمnumber
ڈیفالٹ0.9
0 – 2
تخلیق کے دوران sampling کے لیے temperature۔
top_pاختیاری
قسمnumber
ڈیفالٹ0.25
0 – 1
nucleus sampling کے لیے probability cutoff۔
top_kاختیاری
قسمinteger
ڈیفالٹ5
1 – 100
top-k sampling کی setting۔
لازمی معیاری نام، یہ بھی قبول ہے

فائل پیرامیٹرز عوامی https:// URL، 10 MB تک کی data: URI، یا اپ لوڈ کے file_url کو قبول کرتے ہیں۔ فائلیں

آؤٹ پٹ

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "omnilottie/image-to-lottie",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 100,
    "usd": "0.10",
    "charged": 100,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "lottie_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
آپ کی فائلیں، آپ کا انتخابہر outputs[].url ہمارے اسٹوریج میں ایک کاپی ہے: ہمیشہ کے لیے محفوظ (فی GB-ماہ ادائیگی) یا مفت میں 7 دن تک، آپ کی اکاؤنٹ سیٹنگ یا ?storage= کے مطابق۔
ہر ماڈل میں ایک جیسی ساختtype، url، content_type، width، height اور duration، تصاویر، ویڈیو اور آڈیو سب کے لیے یکساں۔ output ماڈل کا اپنا نتیجہ آبجیکٹ ہے۔
آؤٹ پٹ کے فیلڈز
lottie_file
object {url, content_type, file_name, file_size}تخلیق کردہ Lottie animation پر مشتمل JSON فائل۔

مزید ماڈلز: دیگر

AI ایجنٹس کے لیے: یہ صفحہ Markdown میں یہاں موجود ہے https://doitong.com/ur/developers/models/omnilottie/image-to-lottie.md. تمام ماڈلز اور گائیڈز: https://doitong.com/developers/llms.txt